package project.scenes;

import pi.Controller;
import pi.Scene;
import pi.actor.Actor;
import pi.actor.Animation;
import pi.actor.Rectangle;
import pi.actor.Text;
import pi.graphics.geom.Vector;

import static pi.Controller.fonts;
import java.awt.Font;


public class VictoryScene extends Scene { 
    boolean faded_out;
    Actor sixseven;

    public VictoryScene() {
        Controller.jukebox.playSound("sounds/reward.mp3");

        Font font = fonts.get("fonts/BitcountGridDouble-Regular.ttf");

        Text designer = new Text("Design: Alf");
        designer.color("#ffffff");
        designer.font(font);
        designer.height(2.5);
        Text pr = new Text("PR: Kevon Faison");
        pr.color("#ffffff");
        pr.font(font);
        pr.height(2.5);
        Text programmer = new Text("Programming: Benjamin Burkhardt");
        programmer.color("#ffffff");
        programmer.font(font);
        programmer.height(1.5);
        //Rectangle rect = new Rectangle(1000, 600);
        //rect.color("#000000");

        designer.center(0, 4);
        pr.center(0, 0);
        programmer.center(0, -4);
        //rect.center(0,0);

        add(designer);
        add(pr);
        add(programmer);
        //add(rect);

        sixseven = Animation.createFromAnimatedGif("images/kebab-pack/reward.gif", 1.48*15, 1.25*15);
        sixseven.center(0, 0);

        //rect.applyImpulse(new Vector(0, -1).multiply(50000));
        sixseven.applyImpulse(new Vector(0, -1).multiply(50000));

        add(sixseven);
    }
}
